SoMFFloat(3)

NAME
SoMFFloat - The SoMFFloat class is a container for floating point values.

SYNOPSIS

#include <Inventor/fields/SoMFFloat.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFFloat & operator= (const SoMFFloat &field)
virtual SbBool isSame (const SoField &field) const
float operator[] (const int idx) const
const float * getValues (const int start) const
int find (float value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const float *newvals)
void set1Value (const int idx, float value)
void setValue (float value)
float operator= (float val)
SbBool operator== (const SoMFFloat &field) const
SbBool operator!= (const SoMFFloat &field) const
float * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const float *userdata)
void setValuesPointer (const int num, float *userdata)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
float * values

  Additional Inherited Members

Detailed Description

The SoMFFloat class is a container for floating point values. This field is used where nodes, engines or other field containers need to store a group of multiple floating point values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SoSFFloat

Member Function Documentation

  void * SoMFFloat::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFFloat::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFFloat::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFFloat::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFFloat::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFFloat::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFFloat::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const float * SoMFFloat::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFFloat::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.